Bug 907261

Summary: Review Request: poly2tri - A 2D constrained Delaunay triangulation library
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: Package ReviewAssignee: T.C. Hollingsworth <tchollingsworth>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: alejandro.alvarez.ayllon, notting, orion, package-review, tchollingsworth, volker27
Target Milestone: ---Flags: tchollingsworth: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-27 23:52:03 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 907585, 951808    

Description Miro Hrončok 2013-02-03 20:13:01 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/poly2tri.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/poly2tri-0.0-1.20120407hgacf81f1f1764.fc18.src.rpm

Description:
Library based on the paper "Sweep-line algorithm for constrained Delaunay
triangulation" by V. Domiter and and B. Zalik.

Fedora Account System Username: churchyard
Comment 1 Volker Fröhlich 2013-03-04 03:14:04 EST
Please state where the Makefile is from.

The build doesn't use Fedora's flags.

Try to preserve the timestamp of the AUTHORS file.
Comment 2 Alejandro Alvarez 2013-03-07 03:30:05 EST
Hello,

I append my (first) informal review:

rpmlint output
==============
poly2tri.src: W: spelling-error %description -l en_US Domiter -> Do miter, Do-miter, Dolomite
poly2tri.src: W: spelling-error %description -l en_US Zalik -> Alike
poly2tri.src: W: invalid-url Source0: poly2tri-acf81f1f1764.tar.gz

poly2tri.x86_64: W: spelling-error %description -l en_US Domiter -> Do miter, Do-miter, Dolomite
poly2tri.x86_64: W: spelling-error %description -l en_US Zalik -> Alike

poly2tri-devel.x86_64: W: no-documentation <= Probably you should check this


MUST
====

Missing Makefile original source.

[OK] The package must be named according to the Package Naming Guidelines.
[OK] Package does not use a name that already exist.
[OK] The spec file name must match the base package %{name}, in the format %{name}.spec
[OK] Spec file lacks Packager, Vendor, PreReq tags.
[OK] Changelog in prescribed format.
[OK] The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[OK] The License field in the package spec file must match the actual license.
[OK] The spec file must be written in American English.
[OK] The spec file for the package MUST be legible.
[--] If a rename, provides/obsoletes is specified.
[--] The spec file MUST handle locales properly.
[OK] Every binary RPM package which stores shared library files in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.

[OK] If the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[OK] -debuginfo package or justification otherwise.
[OK] Development files must be in a -devel package.
[--] Static libraries must be in a -static package.
[OK] Devel packages must require the base package using a fully versioned dependency
[--] Large documentation files must go in a -doc subpackage.

[FAIL] The sources used to build the package must match the upstream source, as provided in the spec URL.

        The .spec file instructions for retrieving upstream do not match the revision used for the given srpm
        (it is just missing the specific revision as a parameter)

[OK] The package must contain code, or permissable content.

[OK] Package obeys FHS, except libexecdir and /usr/target.
[OK] Packages must NOT contain any .la libtool archives.
[OK] Packages must not own files or directories already owned by other packages
[--] Packages containing GUI applications must include a %{name}.desktop file.
[OK] A Fedora package must not list a file more than once in the spec file's %files listings.
[OK] A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[OK] Packages must NOT bundle copies of system libraries
[--] If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
[OK] All filenames in rpm packages must be valid UTF-8.
[OK] Permissions on files must be set properly.

[OK] Each package must consistently use macros.
[OK] No external kernel modules
[OK] No inclusion of pre-built binaries or libraries
[OK] No need for external bits
[OK] All build dependencies must be listed in BuildRequires.
[OK] If a package includes something as %doc, it must not affect the runtime of the application.
[FAIL] %build honors applicable compiler flags or justifies otherwise.

        The makefile is overriding the CFLAGS with '-O2 -g -pipe -Wall'
        https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Compiler_flags

[OK] The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[--] If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[OK] Package installs properly.

SHOULD
======
[--] All patches have an upstream bug link or comment
[OK] The source package does not include license text(s) as a separate file from upstream.
[OK] No PreReq
[OK] %makeinstall is not used
[FAIL] Timestamp is preserved

        The encoding conversion alters the AUTHORS timestamp

[OK] Parallel make
[--] Subpackages other than devel should require the base package using a fully versioned dependency.
[--] If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[--] The placement of pkgconfig(.pc) files should be in a -devel pkg
[OK] The package builds in mock.
[OK] The package should compile and build into binary rpms on all supported architectures.
[OK] The package functions as described.
[OK] If scriptlets are used, those scriptlets must be sane.
[--] The package should contain man pages for binaries/scripts
[--] The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.


Regards,
Comment 3 Miro Hrončok 2013-03-07 06:04:10 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/poly2tri.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/poly2tri-0.0-2.20120407hgacf81f1f1764.fc18.src.rpm

- Preserve AUTHORS timestamp
- Use %%{optflags}
- Add a comment about Makefile
- Added doc to -devel package

(In reply to comment #2)
> [FAIL] The sources used to build the package must match the upstream source,
> as provided in the spec URL.
> 
>         The .spec file instructions for retrieving upstream do not match the
> revision used for the given srpm
>         (it is just missing the specific revision as a parameter)
Do you have any idea, how to do this in mercurial?
The instructions in spec currently match the latest revision, acf81f1f1764 right now, but could change later.


Thank you. Please assign this bug to you and set the fedora-review flag.
Comment 4 Alejandro Alvarez 2013-03-07 10:41:32 EST
Hi,

[OK] Preserve AUTHORS timestamp
[OK] Use %%{optflags}
[--] Add a comment about Makefile

I would still put the Makefile somewhere reachable (the same Github area where you put the spec, perhaps?)

[OK] Added doc to -devel package
 
Not sure how critical the Makefile part is, but, for the rest, it looks good to me.

(In reply to comment #3) 
> (In reply to comment #2)
> > [FAIL] The sources used to build the package must match the upstream source,
> > as provided in the spec URL.
> > 
> >         The .spec file instructions for retrieving upstream do not match the
> > revision used for the given srpm
> >         (it is just missing the specific revision as a parameter)
> Do you have any idea, how to do this in mercurial?
> The instructions in spec currently match the latest revision, acf81f1f1764
> right now, but could change later.

I think: hg clone --rev REVISION %%{url}

> Thank you. Please assign this bug to you and set the fedora-review flag.

Sorry, but I have just joined as co-maintainer of existing packages, so I am still "on probation". I shouldn't do formal reviews yet.

Regards.
Comment 5 Volker Fröhlich 2013-03-07 10:51:32 EST
Versioning the soname on your own can be a problem if upstream decides to do the same one day. I suggest mentioning this topic on #fedora-devel or the devel mailing list.
Comment 6 Miro Hrončok 2013-03-07 11:23:00 EST
(In reply to comment #4)
> [--] Add a comment about Makefile
> 
> I would still put the Makefile somewhere reachable (the same Github area
> where you put the spec, perhaps?)

It is reachable, but as patches and other files, I was told not to put the URL to spec.

https://github.com/hroncok/RPMAdditionalSources/blob/master/poly2tri-Makefile

(In reply to comment #5)
> Versioning the soname on your own can be a problem if upstream decides to do
> the same one day. I suggest mentioning this topic on #fedora-devel or the
> devel mailing list.

OK.
Comment 7 Alejandro Alvarez 2013-03-08 04:51:15 EST
(In reply to comment #6)
> (In reply to comment #4)
> > [--] Add a comment about Makefile
> > 
> > I would still put the Makefile somewhere reachable (the same Github area
> > where you put the spec, perhaps?)
> 
> It is reachable, but as patches and other files, I was told not to put the
> URL to spec.
> 
> https://github.com/hroncok/RPMAdditionalSources/blob/master/poly2tri-Makefile
> 
Yes, that's what I meant, just a link to the file. Sorry for not being more precise.
Comment 8 Miro Hrončok 2013-03-12 14:34:04 EDT
(In reply to comment #5)
> Versioning the soname on your own can be a problem if upstream decides to do
> the same one day. I suggest mentioning this topic on #fedora-devel or the
> devel mailing list.

The correct way is probably asking the apstream. So I will ask first.
Comment 11 T.C. Hollingsworth 2013-03-16 03:12:42 EDT
Why are you creating your own Makefile?  Upstream appears to use the WAF build system.

(In reply to comment #10)
> Using soname version 1.0.0
> See http://code.google.com/p/poly2tri/issues/detail?id=66#c1 for
> justification

What's upstreams ABI story?  Generally you only want x.y.z SONAMEs if you're changing the ABI every x.y.z release?  If they're not bumping ABI until 2.0 a soname of simply 1 would be appropriate.

Also, the SONAME embedded in the library is 0:
$ readelf -a BUILDROOT/poly2tri-0.0-3.20120407hgacf81f1f1764.fc18.x86_64/usr/lib64/libpoly2tri.so.1.0.0 | grep SONAME
 0x000000000000000e (SONAME)             Library soname: [libpoly2tri.so.0]
Comment 12 Miro Hrončok 2013-03-17 04:32:25 EDT
(In reply to comment #11)
> Why are you creating your own Makefile?  Upstream appears to use the WAF
> build system.

The waf build system builds example apps for the library. The library is included in the apps and is not built as an dynamic one.

> (In reply to comment #10)
> What's upstreams ABI story?  Generally you only want x.y.z SONAMEs if you're
> changing the ABI every x.y.z release?  If they're not bumping ABI until 2.0
> a soname of simply 1 would be appropriate.
> 
> Also, the SONAME embedded in the library is 0:
> $ readelf -a
> BUILDROOT/poly2tri-0.0-3.20120407hgacf81f1f1764.fc18.x86_64/usr/lib64/
> libpoly2tri.so.1.0.0 | grep SONAME
>  0x000000000000000e (SONAME)             Library soname: [libpoly2tri.so.0]
Will look at that. Thanks
Comment 13 T.C. Hollingsworth 2013-03-19 06:14:09 EDT
(In reply to comment #12)
> (In reply to comment #11)
> > Why are you creating your own Makefile?  Upstream appears to use the WAF
> > build system.
> 
> The waf build system builds example apps for the library. The library is
> included in the apps and is not built as an dynamic one.

You might want to add a comment to that effect to the spec file then.

> > (In reply to comment #10)
> > What's upstreams ABI story?  Generally you only want x.y.z SONAMEs if you're
> > changing the ABI every x.y.z release?  If they're not bumping ABI until 2.0
> > a soname of simply 1 would be appropriate.
> > 
> > Also, the SONAME embedded in the library is 0:
> > $ readelf -a
> > BUILDROOT/poly2tri-0.0-3.20120407hgacf81f1f1764.fc18.x86_64/usr/lib64/
> > libpoly2tri.so.1.0.0 | grep SONAME
> >  0x000000000000000e (SONAME)             Library soname: [libpoly2tri.so.0]
> Will look at that. Thanks

Since you apparently do need your own Makefile, fixing this is as simple as passing "-Wl,-soname,libpoly2tri.so.1.0.0" (assuming you stick with 1.0.0 as the soname) to gcc when you build the library.
Comment 14 Miro Hrončok 2013-03-20 10:20:27 EDT
- Using soname version 1.0
- Corrected Makefile to actually produce the library with soname version 1.0
- Added comment about the Makefile and WAF

Spec URL: https://raw.github.com/hroncok/SPECS/master/poly2tri.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/poly2tri-0.0-4.20120407hgacf81f1f1764.fc18.src.rpm
Comment 15 T.C. Hollingsworth 2013-04-18 21:54:19 EDT
Sorry for the delay.  Please feel free to ping me if I seem to have forgotten an active review.  Bugmail slips past me sometimes and my "My Bugs" report from RHBZ seems to be growing exponentially these days.  ;-)


Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

Status: APPROVED

===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)". 1 files have unknown license. Detailed output of
     licensecheck in
     /home/fedora/patches/FedoraReview/907261-poly2tri/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: poly2tri-0.0-4.20120407hgacf81f1f1764.fc20.src.rpm
          poly2tri-0.0-4.20120407hgacf81f1f1764.fc20.x86_64.rpm
          poly2tri-devel-0.0-4.20120407hgacf81f1f1764.fc20.x86_64.rpm
          poly2tri-debuginfo-0.0-4.20120407hgacf81f1f1764.fc20.x86_64.rpm
poly2tri.src: W: spelling-error %description -l en_US Domiter -> Do miter, Do-miter, Dolomite
poly2tri.src: W: spelling-error %description -l en_US Zalik -> Alike
poly2tri.src: W: invalid-url Source0: poly2tri-acf81f1f1764.tar.gz
poly2tri.x86_64: W: spelling-error %description -l en_US Domiter -> Do miter, Do-miter, Dolomite
poly2tri.x86_64: W: spelling-error %description -l en_US Zalik -> Alike
4 packages and 0 specfiles checked; 0 errors, 5 warnings.

OK


Rpmlint (installed packages)
----------------------------
# rpmlint poly2tri-debuginfo poly2tri-devel poly2tri
poly2tri.x86_64: W: spelling-error %description -l en_US Domiter -> Do miter, Do-miter, Dolomite
poly2tri.x86_64: W: spelling-error %description -l en_US Zalik -> Alike
poly2tri.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpoly2tri.so.1.0 /lib64/libGL.so.1
3 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'

OK

Requires
--------
poly2tri-0.0-4.20120407hgacf81f1f1764.fc20.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /sbin/ldconfig
    libGL.so.1()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

poly2tri-devel-0.0-4.20120407hgacf81f1f1764.fc20.x86_64.rpm (rpmlib, GLIBC filtered):
    
    libpoly2tri.so.1.0()(64bit)
    poly2tri(x86-64) = 0.0-4.20120407hgacf81f1f1764.fc20

poly2tri-debuginfo-0.0-4.20120407hgacf81f1f1764.fc20.x86_64.rpm (rpmlib, GLIBC filtered):
    

OK

Provides
--------
poly2tri-0.0-4.20120407hgacf81f1f1764.fc20.x86_64.rpm:
    
    libpoly2tri.so.1.0()(64bit)
    poly2tri = 0.0-4.20120407hgacf81f1f1764.fc20
    poly2tri(x86-64) = 0.0-4.20120407hgacf81f1f1764.fc20

poly2tri-devel-0.0-4.20120407hgacf81f1f1764.fc20.x86_64.rpm:
    
    poly2tri-devel = 0.0-4.20120407hgacf81f1f1764.fc20
    poly2tri-devel(x86-64) = 0.0-4.20120407hgacf81f1f1764.fc20

poly2tri-debuginfo-0.0-4.20120407hgacf81f1f1764.fc20.x86_64.rpm:
    
    poly2tri-debuginfo = 0.0-4.20120407hgacf81f1f1764.fc20
    poly2tri-debuginfo(x86-64) = 0.0-4.20120407hgacf81f1f1764.fc20

OK

Generated by fedora-review 0.3.1 (f4bc12d) last change: 2012-10-16
Buildroot used: fedora-rawhide-vanilla-x86_64
Command line :./try-fedora-review -b907261
Comment 16 Miro Hrončok 2013-04-19 05:34:26 EDT
New Package SCM Request
=======================
Package Name: poly2tri
Short Description: A 2D constrained Delaunay triangulation library
Owners: churchyard
Branches: f17 f18 f19
Comment 17 Jon Ciesla 2013-04-22 09:20:02 EDT
Git done (by process-git-requests).
Comment 18 Fedora Update System 2013-04-22 13:58:46 EDT
poly2tri-0.0-4.20120407hgacf81f1f1764.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/poly2tri-0.0-4.20120407hgacf81f1f1764.fc19
Comment 19 Fedora Update System 2013-04-22 13:59:36 EDT
poly2tri-0.0-4.20120407hgacf81f1f1764.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/poly2tri-0.0-4.20120407hgacf81f1f1764.fc18
Comment 20 Fedora Update System 2013-04-22 14:00:30 EDT
poly2tri-0.0-4.20120407hgacf81f1f1764.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/poly2tri-0.0-4.20120407hgacf81f1f1764.fc17
Comment 21 Fedora Update System 2013-04-22 22:58:54 EDT
poly2tri-0.0-4.20120407hgacf81f1f1764.fc19 has been pushed to the Fedora 19 testing repository.
Comment 22 Fedora Update System 2013-04-27 23:52:07 EDT
poly2tri-0.0-4.20120407hgacf81f1f1764.fc19 has been pushed to the Fedora 19 stable repository.
Comment 23 Fedora Update System 2013-05-01 23:51:06 EDT
poly2tri-0.0-4.20120407hgacf81f1f1764.fc18 has been pushed to the Fedora 18 stable repository.
Comment 24 Fedora Update System 2013-05-01 23:57:17 EDT
poly2tri-0.0-4.20120407hgacf81f1f1764.fc17 has been pushed to the Fedora 17 stable repository.
Comment 25 Orion Poplawski 2015-03-26 17:41:19 EDT
Miro - would you mind maintaining this in EPEL7?
Comment 26 Miro Hrončok 2015-03-27 10:30:17 EDT
I could.
Comment 27 Orion Poplawski 2015-04-03 16:38:00 EDT
That would be helpful, thanks.
Comment 28 Miro Hrončok 2015-04-03 16:52:24 EDT
Package Change Request
======================
Package Name: poly2tri
New Branches: epel7
Owners: churchyard
Comment 29 Jon Ciesla 2015-04-04 13:44:02 EDT
Git done (by process-git-requests).
Comment 30 Fedora Update System 2015-06-24 14:00:10 EDT
poly2tri-0.0-10.20130501hg26242d0aa7b8.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/poly2tri-0.0-10.20130501hg26242d0aa7b8.el7
Comment 31 Fedora Update System 2015-07-13 14:32:02 EDT
poly2tri-0.0-10.20130501hg26242d0aa7b8.el7 has been pushed to the Fedora EPEL 7 stable repository.